<template>
  <v-container>
    <div id="chart">
      <apexchart type="bar" :width="width" :height="height" :options="chartOptions" :series="series"></apexchart>
    </div>
  </v-container>
</template>
<script>
export default {
  name: 'ChartLine',
  props: {
    'title': { default: '', type: String },
    'titleX': { default: '', type: String },
    'titleY': { default: '', type: String },
    'width': { default: '100%', type: String },
    'height': { default: 350, type: Number },
    'series': { type: Array },
  },
  data() {
    return {
      chartOptions: {
        chart: {
          type: 'bar',
          height: 350,
          stacked: true,
          title: {
            text: 'XYZ - Stock Analysis (2009 - 2016)',
            align: 'center',
          },
          toolbar: {
            show: true,
          },
          zoom: {
            enabled: true,
          },
        },
        responsive: [{
          breakpoint: 480,
          options: {
            legend: {
              position: 'bottom',
              offsetX: -10,
              offsetY: 0,
            },
          },
        }],
        plotOptions: {
          bar: {
            horizontal: false,
            borderRadius: 10,
          },
        },
        xaxis: {
          categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
          title: {
            text: 'this.titleX',
            style: {
              color: '#909399',
            },
          },
        },
        legend: {
          position: 'right',
          offsetY: 40,
        },
        fill: {
          opacity: 1,
        },
      },
    };
  },
};
</script>
